Create a Quoted Conversion between Client Wallets
This call triggers a conversion at the rate defined in its quote. The debited funds (sell currency), credited funds (buy currency), and amounts are defined in the quote. The Client Wallets to debit and credit are defined in the conversion.
Each quoted conversion requires a dedicated Quote object, linked in the QuoteId.
Quoted conversions between client wallets:
- Can’t include
Fees– the conversion attempt will return a 400 error if itsQuoteIdincludes fees - Shouldn’t include
UserMargin– the conversion attempt will not be blocked, butUserMarginis disregarded – in theConversionRateResponse(the user’sFinalRateis the same as the platform’sClientRate).
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
If your platform is using a proxy to take SCA-triggering action on behalf of users, you also need to integrate mTLS authentication and use the api-mtls base URL.
Path parameters
Request
Allowed values: FEES, CREDIT
The type of the client wallet to be debited:
FEES– Fees Wallet, for fees collected by the platform.CREDIT– Repudiation Wallet, for funds related to dispute management.
The amount and currency of the debited funds are defined by the quote.
Allowed values: FEES, CREDIT
The type of the client wallet to be credited:
FEES– Fees Wallet, for fees collected by the platform.CREDIT– Repudiation Wallet, for funds related to dispute management.
The amount and currency of the credited funds are defined by the quote.
Max. length: 255 characters
Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: "{\"id_1\":AB123,\"id_2\":DE456}".
Response
Max length: 128 characters (see data formats for details)
The unique identifier of the object.
The unique identifier of the active quote which guaranteed the rate for the conversion.
Returned null in the case of an instant conversion.
Returned values: PAYIN, TRANSFER, CONVERSION, PAYOUT
The type of the transaction.
Returned values: REGULAR, REPUDIATION, REFUND, SETTLEMENT
The nature of the transaction, providing more information about the context in which the transaction occurred:
REGULAR– Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow.REPUDIATION– Automatic withdrawal of funds from the platform's repudiation wallet as part of the dispute process (when the user has requested a chargeback).REFUND– Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay).SETTLEMENT– Transfer made to the repudiation wallet by the platform to settle a lost dispute.
Unix timestamp (UTC) of the date and time the object was created.
Returned values: CREATED, SUCCEEDED, FAILED
The status of the transaction.
The unique identifier of the debited wallet (in the sell currency).
The unique identifier of the credited wallet (in the buy currency).
The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes.
Unix timestamp (UTC) of the date and time the status changed to SUCCEEDED, indicating that the transaction occurred. The statuses CREATED and FAILED return an ExecutionDate of null.
Information about the MarketRate used to convert funds and other indicative rates.
Max. length: 255 characters
Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: "{\"id_1\":AB123,\"id_2\":DE456}".